Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.customer
Interface CustomerPropertyManager

All Superinterfaces:
  EJBObject, EntityPropertyManager, Remote

public interface CustomerPropertyManager
extends EntityPropertyManager

Manages properties associated with Customer. Implemented as a stateless session bean. Delegates calls to the CustomerEJB.

Handles property sets for "CustomerProperties". This mapping can be found in usermgmt-ejb-jar.xml deployment descriptor.

Method Summary
`void` | `createCustomer(String customerName)` Create a customer record with the given name.
`boolean` | `customerExists(String customerName)` Determine if a customer exists
`void` | `deleteCustomer(String customerName)` Remove a customer
`Object` | `getProperty(String customerName, String propertySet, String propertyName)` Returns the value of the property defined for the specified property and property set.
`String` | `getPropertyAsString(String customerName, String propertySet, String propertyName)` Get a property from the customer, converted to a String If the property is not found, the default value from the property set will be returned.
`Object` | `removeProperty(String customerName, String propertySet, String propertyName)` Remove a property from the customer
`void` | `setProperty(String customerName, String propertySet, String propertyName, Object value)` Set a property in the profile

Methods inherited from interface com.bea.p13n.property.EntityPropertyManager
`createUniqueId, getDynamicProperties, getEntityNames, getHomeName, getProperties, getProperty, getPropertyLocator, getUniqueId, removeEntity, removeProperties, removeProperty, setProperty`

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### createCustomer

    public void createCustomer(String customerName)
                        throws RemoteException,
                               Exception

  Create a customer record with the given name.

  Parameters:
    `customerName` - the name of the customer to create
  Throws:
    `RemoteException`
    `Exception`

### customerExists

    public boolean customerExists(String customerName)
                           throws RemoteException,
                                  CustomerNotFoundException

  Determine if a customer exists

  Parameters:
    `customerName` - the name to look for
  Returns:
    true if it exists, false otherwise
  Throws:
    `RemoteException`
    `CustomerNotFoundException`

### deleteCustomer

    public void deleteCustomer(String customerName)
                        throws RemoteException,
                               CustomerNotFoundException

  Remove a customer

  Parameters:
    `customerName` - the name of the customer to remove
  Throws:
    `RemoteException`
    `CustomerNotFoundException`

### getProperty

    public Object getProperty(String customerName,
                              String propertySet,
                              String propertyName)
                       throws RemoteException,
                              CustomerNotFoundException

  Returns the value of the property defined for the specified property and property set.

  If the property does not have a value persisted, then null is returned.

  Parameters:
    `customerName` - the name of the customer whose property we wish to retrieve
    `propertySet` - the name of the property set
    `propertyName` - the name of the property
  Returns:
    the property's value, or null if there is none
  Throws:
    `CustomerNotFoundException` - if the customer is not valid
    `RemoteException`

### getPropertyAsString

    public String getPropertyAsString(String customerName,
                                      String propertySet,
                                      String propertyName)
                               throws RemoteException,
                                      CustomerNotFoundException

  Get a property from the customer, converted to a String If the property is not found, the default value from the property set will be returned.

  Parameters:
    `propertySet` - the property set containing the property
    `propertyName` - the name of the property to retrieve
  Returns:
    the property's value as a String
  Throws:
    `CustomerNotFoundException` - if the customer is not valid
    `RemoteException`

### removeProperty

    public Object removeProperty(String customerName,
                                 String propertySet,
                                 String propertyName)
                          throws RemoteException,
                                 CustomerNotFoundException

  Remove a property from the customer

  Parameters:
    `customerName` - the name of the customer to modify
    `propertySet` - the property set containing the property
    `propertyName` - the name of the property to retrieve
  Returns:
    the old value of the property
  Throws:
    `CustomerNotFoundException` - if the customer is not valid
    `RemoteException`

### setProperty

    public void setProperty(String customerName,
                            String propertySet,
                            String propertyName,
                            Object value)
                     throws PropertyValidationException,
                            CustomerNotFoundException,
                            RemoteException

  Set a property in the profile

  Parameters:
    `customerName` - the name of the profile to modify
    `propertySet` - the property set containing the property
    `propertyName` - the name of the property to retrieve
    `value` - the new value for the property
  Throws:
    `PropertyValidationException` - if the new value is not valid
    `CustomerNotFoundException` - if the customer is not valid
    `RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved